Bug 1282463 - Address memory leaks in server-side GSS authenticator
Address memory leaks in server-side GSS authenticator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtirpc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1282488
  Show dependency treegraph
 
Reported: 2015-11-16 08:56 EST by Steve Dickson
Modified: 2015-11-30 16:22 EST (History)
2 users (show)

See Also:
Fixed In Version: libtirpc-0.3.2-5.rc3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1282488 (view as bug list)
Environment:
Last Closed: 2015-11-30 16:22:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2015-11-16 08:56:55 EST
Description of problem:

There are additional memory leaks observed in the _gss_authenticate
code path originating in libgssapi_krb5, which remain unaddressed.
These might not be libtirpc problems.


Needed upstream patches:


commit c301db9dfd3f58ee1a286c5d421eb82c0daa5187
Author: Chuck Lever <chuck.lever@oracle.com>
Date:   Mon Nov 16 08:11:21 2015 -0500

    Fix svcauth_gss_accept_sec_context() memory leaks

commit d50a71515feda22c251ee3be4fc56de685866105
Author: Chuck Lever <chuck.lever@oracle.com>
Date:   Mon Nov 16 08:10:04 2015 -0500

    Fix XDR result leak in _svcauth_gss()

commit 169318cc0c97c9b92cb1c875e54a82cc8c41717c
Author: Chuck Lever <chuck.lever@oracle.com>
Date:   Mon Nov 16 08:05:45 2015 -0500

    Fix checksum buffer leak

commit 49896c3068a0a2e87028a7391ac9bf4725e08375
Author: Chuck Lever <chuck.lever@oracle.com>
Date:   Mon Nov 16 08:03:46 2015 -0500

    Fix memory leak in svcauth_gss_import_name()

commit 8cf197b50243dee64ffb6c2da1d92179bee4f705
Author: Chuck Lever <chuck.lever@oracle.com>
Date:   Mon Nov 16 08:01:29 2015 -0500

    rpc_gss_set_svc_name() overwrites _svcauth_gss_creds
Comment 1 Fedora Update System 2015-11-16 12:26:40 EST
libtirpc-0.3.2-5.rc3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7dafcec55a
Comment 2 Fedora Update System 2015-11-16 12:26:40 EST
libtirpc-0.3.2-5.rc3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d7f8cb4b2b
Comment 3 Fedora Update System 2015-11-18 11:52:55 EST
libtirpc-0.3.2-5.rc3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libtirpc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7dafcec55a
Comment 4 Fedora Update System 2015-11-18 19:22:41 EST
libtirpc-0.3.2-5.rc3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libtirpc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d7f8cb4b2b
Comment 5 Fedora Update System 2015-11-30 16:22:41 EST
libtirpc-0.3.2-5.rc3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.